This is an extension and not part of the main GoJS library. Note that the API for this class may change at any time. If you intend to use an extension in production, you should copy the code to your own source directory. Extensions can be found in the GoJS kit under the `extensions` or `extensionsTS` folders. See the Extensions intro page for more information.

### Hierarchy

- Tool
  - ResizingTool
    - ResizeMultipleTool

The ResizeMultipleTool class lets the user resize multiple objects at once.

If you want to experiment with this extension, try the Resize Multiple sample.

## Index

### Constructors

- constructor

### Methods

- resize

## Constructors

### constructor

- new ResizeMultipleTool(): ResizeMultipleTool

- Constructs a ResizeMultipleTool and sets the name for the tool.

  #### Returns ResizeMultipleTool

## Methods

### Override resize

- resize(newr: Rect): void

- Overrides ResizingTool.resize to resize all selected objects to the same size.

  #### Parameters

  - ##### newr: Rect

    the intended new rectangular bounds for each Part's Part.resizeObject.

  #### Returns void

Copyright © 1998-2019 by Northwoods Software Corporation.